Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.xqj
Interface ObjectConverter

All Known Implementing Classes:
  StandardObjectConverter

    public interface ObjectConverter

This interface is based on the "CommonHandler" concept defined in early drafts of XQJ. It defines the data conversion routines used by the Saxon XQJ implementation to convert between native Java objects and XDM values. Most applications will use the Saxon-supplied implementation `StandardObjectConverter`, but it is possible to supply an alternative implementation using the method `SaxonXQDataFactory.setObjectConverter(net.sf.saxon.xqj.ObjectConverter)`

Method Summary
`Item` | `convertToItem(Object value)` Convert a Java object to an Item, when no information is available about the required type
`Item` | `convertToItem(Object value, XQItemType type)` Convert a Java object to an Item, when a required type has been specified.
`Object` | `toObject(XQItemAccessor xqItemAccessor)` Convert an Item to a Java object

Method Detail

### toObject

    Object toObject(XQItemAccessor xqItemAccessor)
                    throws XQException

  Convert an Item to a Java object

  Parameters:
    `xqItemAccessor` - the XQJ object representing the item to be converted
  Returns:
    the Java object that results from the conversion
  Throws:
    `XQException`

### convertToItem

    Item convertToItem(Object value)
                       throws XQException

  Convert a Java object to an Item, when no information is available about the required type

  Parameters:
    `value` - the supplied Java object
  Returns:
    the Item that results from the conversion
  Throws:
    `XQException` - if the Java object cannot be converted to an XQItem

### convertToItem

    Item convertToItem(Object value,
                       XQItemType type)
                       throws XQException

  Convert a Java object to an Item, when a required type has been specified. Note that Saxon only calls this method when none of the standard conversions defined in the XQJ specification is able to handle the object.

  Parameters:
    `value` - the supplied Java object
    `type` - the required XPath data type
  Returns:
    the Item that results from the conversion
  Throws:
    `XQException` - if the Java object cannot be converted to an XQItem

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.